Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields | Protected Attributes
Lucene::StoredFieldsWriterPerDoc Class Reference

`#include <StoredFieldsWriter.h>`

Inheritance diagram for Lucene::StoredFieldsWriterPerDoc:

## Public Member Functions

| StoredFieldsWriterPerDoc (const StoredFieldsWriterPtr &fieldsWriter)
virtual | ~StoredFieldsWriterPerDoc ()
virtual String | getClassName ()
boost::shared_ptr< StoredFieldsWriterPerDoc > | shared_from_this ()
void | reset ()
virtual void | abort ()
virtual int64_t | sizeInBytes ()
virtual void | finish ()
Public Member Functions inherited from Lucene::DocWriter
| DocWriter ()
virtual | ~DocWriter ()
boost::shared_ptr< DocWriter > | shared_from_this ()
virtual void | setNext (const DocWriterPtr &next)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocWriter
static String | _getClassName ()

## Data Fields

PerDocBufferPtr | buffer
RAMOutputStreamPtr | fdt
int32_t | numStoredFields
Data Fields inherited from Lucene::DocWriter
DocWriterPtr | next
int32_t | docID

## Protected Attributes

StoredFieldsWriterWeakPtr | _fieldsWriter
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

## ◆ StoredFieldsWriterPerDoc()

Lucene::StoredFieldsWriterPerDoc::StoredFieldsWriterPerDoc | ( | const StoredFieldsWriterPtr & | fieldsWriter | ) |

## ◆ ~StoredFieldsWriterPerDoc()

virtual Lucene::StoredFieldsWriterPerDoc::~StoredFieldsWriterPerDoc | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::StoredFieldsWriterPerDoc::_getClassName | ( |  | ) |

inline static

## ◆ abort()

virtual void Lucene::StoredFieldsWriterPerDoc::abort | ( |  | ) |

virtual

Implements Lucene::DocWriter.

## ◆ finish()

virtual void Lucene::StoredFieldsWriterPerDoc::finish | ( |  | ) |

virtual

Implements Lucene::DocWriter.

## ◆ getClassName()

virtual String Lucene::StoredFieldsWriterPerDoc::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::DocWriter.

## ◆ reset()

void Lucene::StoredFieldsWriterPerDoc::reset | ( |  | ) |

## ◆ shared_from_this()

boost::shared_ptr< StoredFieldsWriterPerDoc > Lucene::StoredFieldsWriterPerDoc::shared_from_this | ( |  | ) |

inline

## ◆ sizeInBytes()

virtual int64_t Lucene::StoredFieldsWriterPerDoc::sizeInBytes | ( |  | ) |

virtual

Implements Lucene::DocWriter.

## Field Documentation

## ◆ _fieldsWriter

StoredFieldsWriterWeakPtr Lucene::StoredFieldsWriterPerDoc::_fieldsWriter

protected

## ◆ buffer

PerDocBufferPtr Lucene::StoredFieldsWriterPerDoc::buffer

## ◆ fdt

RAMOutputStreamPtr Lucene::StoredFieldsWriterPerDoc::fdt

## ◆ numStoredFields

int32_t Lucene::StoredFieldsWriterPerDoc::numStoredFields

The documentation for this class was generated from the following file:

- StoredFieldsWriter.h

clucene.sourceforge.net